For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get cloud tenant

Get cloud tenant by ID

get

Get cloud tenant by ID. Available for Operations account with platform account management permissions. Returns a single cloud tenant with id, name, status, type, account, externalIds, and audit. Optional select query parameter controls which fields are returned.

Path parameters
idstringRequired

Cloud tenant identifier.

Query parameters
selectstringOptional

Optional RQL select statement to limit returned fields.

Responses
200

OK

application/json
idstringOptional
namestringOptional
revisioninteger · int32Optional
statusstringOptional
typestringOptional
get/public/v1/accounts/cloud-tenants/{id}
GET /public/v1/accounts/cloud-tenants/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "CLT-3206-7146",
  "revision": 2,
  "name": "AdAstraflex Germany",
  "status": "Active",
  "type": "CspAzure",
  "account": {
    "id": "ACC-2253-2884",
    "name": "AdAstrafleX"
  },
  "externalIds": {
    "pyraTenantId": "c6469e97-302a-408a-8589-2122a0bb725d",
    "cloudConsumptionId": "012b2a18-1df0-473f-8759-c3c019b54486",
    "providerId": "7270638c-ca21-4500-ac82-25dca634566a"
  }
}

Last updated

Was this helpful?